| helics 3.6.1

Public Member Functions | List of all members
MasterObjectHolder Class Reference

`#include <api_objects.h>`

## Public Member Functions
helics::FedObject * | findFed (std::string_view fedName)
helics::FedObject * | findFed (std::string_view fedName, int validationCode)
int | addBroker (std::unique_ptr< helics::BrokerObject > broker)
int | addCore (std::unique_ptr< helics::CoreObject > core)
int | addFed (std::unique_ptr< helics::FedObject > fed)
bool | removeFed (std::string_view name, int validationCode)
int | addApp (std::unique_ptr< helics::AppObject > app)
void | clearBroker (int index)
void | clearCore (int index)
void | clearFed (int index)
void | clearApp (int index)
void | deleteAll ()
void | abortAll (int errorCode, std::string_view error)
const char * | addErrorString (std::string_view newError)

## Detailed Description

class for containing all the objects associated with a federation

## Member Function Documentation

## ◆ addApp()

int MasterObjectHolder::addApp | ( | std::unique_ptr< helics::AppObject > | app | ) |

add an app to the holder

## ◆ addBroker()

int MasterObjectHolder::addBroker | ( | std::unique_ptr< helics::BrokerObject > | broker | ) |

add a broker to the holder

## ◆ addCore()

int MasterObjectHolder::addCore | ( | std::unique_ptr< helics::CoreObject > | core | ) |

add a core to the holder

## ◆ addErrorString()

const char * MasterObjectHolder::addErrorString | ( | std::string_view | newError | ) |

store an error string to a string buffer

Returns
  a pointer to the memory location

## ◆ addFed()

int MasterObjectHolder::addFed | ( | std::unique_ptr< helics::FedObject > | fed | ) |

add a federate to the holder

## ◆ findFed()

helics::FedObject * MasterObjectHolder::findFed | ( | std::string_view | fedName,
|  | int | validationCode
| ) |  |

find a specific fed by name and validation code

## ◆ removeFed()

bool MasterObjectHolder::removeFed | ( | std::string_view | fedName,
|  | int | validationCode
| ) |  |

remove a federate object

The documentation for this class was generated from the following files:

- api_objects.h
- helicsExport.cpp